SUBDIRS = pics sounds icons engines

INCLUDES = -I$(top_srcdir)/libtdegames -I$(top_srcdir)/libtdegames/kgame/ -I$(srcdir)/engines $(all_includes)
METASOURCES = AUTO

bin_PROGRAMS = kbackgammon
kbackgammon_SOURCES = main.cpp kbg.cpp kbgboard.cpp kbgtextview.cpp \
			kbgstatus.cpp
kbackgammon_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_KIO) -lktexteditor
kbackgammon_LDADD = $(LIB_TDEGAMES) $(LIB_TDEPRINT) ./engines/libkbgengines.la
kbackgammon_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

xdg_apps_DATA = kbackgammon.desktop

rcdir = $(kde_datadir)/kbackgammon
rc_DATA = kbackgammonui.rc eventsrc

messages: rc.cpp	
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.c -o -name \*.ecpp -o -name \*.C`; \
	$(XGETTEXT) $$LIST -o $(podir)/kbackgammon.pot

